
Member Nodes - Task #6984

MNDeployment # 3228 (Operational): NCEI - National Centers for Environmental Information

Story # 6809 (Closed): NODC: Design, code and component test a new MN implementation

For each Tier 1 MN method, determine how response should be constructed

2015-04-01 21:02 - Dave Vieglais

Status: Closed Start date: 2015-04-01

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

List the Tier 1 Methods and whether content for the response can be serviced entirely by the MN implementation or it needs some

additional information from the NODC repository)

History

#1 - 2015-04-01 21:35 - Dave Vieglais

- Assignee set to Andrei Buium

#2 - 2015-04-01 21:36 - Dave Vieglais

- Assignee changed from Andrei Buium to Jing Tao

#3 - 2015-04-01 21:42 - Dave Vieglais

- Description updated

#4 - 2015-04-01 23:29 - Jing Tao

MNCore.ping — need additional information from the NODC server (we need to “ping" the NODC server as well. If the NODC server is down, the

member node can’t function correctly.) 

MNCore.getLogRecords — only need information from the slender node.

MNCore.getCapabilities — only need information  from the slender node.

MNRead.get — need additional information from the NODC server (redirect the request).

MNRead.getSystemMetadata — only need the information from the slender node since we store the system metadata on the MN (but generating the

system metadata needs additional information from NODC server)

MNRead.describe — same as the MNRead.getSystemMetadata

MNRead.getChecksum — For a science metadata object, the checksum can be calculated on the slender node; but for a data object, it need

additional information from NODC ( the manifest file)

MNRead.listObject — need additional information from the NODC server (calls GetRecords request)

MNRead.synchronizationFailed() — need to notify the administrator of the NODC server 

MNRead.systemMetadataChanged() — only act on the slender node.

MNRead.getReplica() — need addition information from the NODC server (redirect the request)

MNStorage.updateSystemMetadata — only act on the slender node.

MNQuery.query — not to be implemented

MNQuery.getQueryEngineDescription — not to be implemented

MNQuery.listQueryEngines — not to be implemented
MNView.view — need addition information from the NODC server

MNView.listView — only need information from the slender node

MNPackage.getPackage — need addition information from the NODC server (do we need to implement the method ?)

#5 - 2016-03-26 03:10 - Dave Vieglais

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented as a proxy using GMN. All the GMN DataONE Tier 1 APIs are available.
